Load Balancer Outbound Rules - Get
取得指定的負載平衡器輸出規則。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/loadBalancers/{loadBalancerName}/outboundRules/{outboundRuleName}?api-version=2025-05-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
load
|
path | True |
string |
負載平衡器的名稱。 |
|
outbound
|
path | True |
string |
輸出規則的名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
LoadBalancerOutboundRuleGet
範例要求
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb1/outboundRules/rule1?api-version=2025-05-01
範例回覆
{
"name": "rule1",
"type": "Microsoft.Network/loadBalancers/outboundRules",
"etag": "W/\"00000000-0000-0000-0000-000000000000\"",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb1/outboundRules/rule1",
"properties": {
"allocatedOutboundPorts": 64,
"backendAddressPool": {
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb1/backendAddressPools/bepool1"
},
"enableTcpReset": true,
"frontendIPConfigurations": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Network/loadBalancers/lb1/frontendIPConfigurations/lbfrontend"
}
],
"idleTimeoutInMinutes": 15,
"provisioningState": "Succeeded",
"protocol": "Tcp"
}
}
定義
| 名稱 | Description |
|---|---|
|
Cloud |
來自服務的錯誤回應。 |
|
Cloud |
來自服務的錯誤回應。 |
|
Load |
負載平衡器中輸出規則的通訊協定。 |
|
Outbound |
負載平衡器的輸出規則。 |
|
Provisioning |
布建資源的狀態。 |
|
Sub |
另一個子資源的參考。 |
CloudError
來自服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
雲端錯誤內文。 |
CloudErrorBody
來自服務的錯誤回應。
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤的識別碼。 程序代碼是不變的,而且是要以程序設計方式取用。 |
| details |
有關錯誤的其他詳細資料清單。 |
|
| message |
string |
描述錯誤的訊息,適用於在使用者介面中顯示。 |
| target |
string |
特定錯誤的目標。 例如,錯誤中的屬性名稱。 |
LoadBalancerOutboundRuleProtocol
負載平衡器中輸出規則的通訊協定。
| 值 | Description |
|---|---|
| Tcp |
Tcp |
| Udp |
Udp |
| All |
全部 |
OutboundRule
負載平衡器的輸出規則。
| 名稱 | 類型 | Description |
|---|---|---|
| etag |
string |
每當更新資源時變更的唯一隻讀字串。 |
| id |
string |
資源標識碼。 |
| name |
string |
資源的名稱。 |
| properties.allocatedOutboundPorts |
integer (int32) |
要用於 NAT 的輸出埠數目。 |
| properties.backendAddressPool |
DIP 集區的參考。 輸出流量會在後端IP中的IP之間隨機負載平衡。 |
|
| properties.enableTcpReset |
boolean |
在 TCP 流程閒置逾時或非預期的連線終止時接收雙向 TCP 重設。 只有當通訊協定設定為 TCP 時,才會使用這個專案。 |
| properties.frontendIPConfigurations |
負載平衡器的前端IP位址。 |
|
| properties.idleTimeoutInMinutes |
integer (int32) |
TCP 閑置連線的逾時。 |
| properties.protocol |
負載平衡器中輸出規則的通訊協定。 |
|
| properties.provisioningState |
輸出規則資源的佈建狀態。 |
|
| type |
string |
資源類型。 |
ProvisioningState
布建資源的狀態。
| 值 | Description |
|---|---|
| Failed |
失敗 |
| Succeeded |
成功 |
| Canceled |
已取消 |
| Creating |
建立中 |
| Updating |
更新中 |
| Deleting |
刪除中 |
SubResource
另一個子資源的參考。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |